Index: data/Media/particle/bigexplosion1part1.particle
===================================================================
--- data/Media/particle/bigexplosion1part1.particle	(revision 5141)
+++ data/Media/particle/bigexplosion1part1.particle	(revision 5141)
@@ -0,0 +1,64 @@
+
+Orxonox/BigExplosion1part1
+{
+	quota	400
+	material	PE/Flare
+	particle_width	40
+	particle_height	40
+	cull_each	false
+	renderer	billboard
+	sorted	false
+	local_space	false
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	oriented_self
+	billboard_origin	top_center
+	billboard_rotation_type	vertex
+	common_up_vector	0 1 0
+	point_rendering	false
+	accurate_facing	false
+
+	emitter Point
+	{
+		angle	180
+		colour	1 1 1 1
+		colour_range_start	1 1 1 1
+		colour_range_end	1 1 1 1
+		direction	0 1 0
+		emission_rate	2000
+		position	0 0 0
+		velocity	50
+		velocity_min	50
+		velocity_max	100
+		time_to_live	1.6
+		time_to_live_min	1.6
+		time_to_live_max	1.6
+		duration	0.2
+		duration_min	0.2
+		duration_max	0.2
+		repeat_delay	1000000
+		repeat_delay_min	1000000
+		repeat_delay_max	1000000
+	}
+
+	affector Scaler
+	{
+		rate	40
+	}
+
+	affector ColourInterpolator
+	{
+		colour0	1 1 1 0
+		time0	0
+		colour1	1 1 0.8 0
+		time1	0.1
+		colour2	0.1 0.1 0.1 0
+		time2	0.6
+		colour3	0 0 0 0
+		time3	1
+		colour4	0.5 0.5 0.5 0
+		time4	1
+		colour5	0.5 0.5 0.5 0
+		time5	1
+	}
+}
Index: data/Media/particle/bigexplosion1part2.particle
===================================================================
--- data/Media/particle/bigexplosion1part2.particle	(revision 5141)
+++ data/Media/particle/bigexplosion1part2.particle	(revision 5141)
@@ -0,0 +1,64 @@
+
+Orxonox/BigExplosion1part2
+{
+	quota	200
+	material	PE/ringflare
+	particle_width	40
+	particle_height	40
+	cull_each	false
+	renderer	billboard
+	sorted	false
+	local_space	false
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	oriented_self
+	billboard_origin	center
+	billboard_rotation_type	vertex
+	common_up_vector	0 1 0
+	point_rendering	false
+	accurate_facing	false
+
+	emitter Point
+	{
+		angle	180
+		colour	1 1 1 1
+		colour_range_start	1 1 1 1
+		colour_range_end	1 1 1 1
+		direction	0 1 0
+		emission_rate	1000
+		position	0 0 0
+		velocity	20
+		velocity_min	20
+		velocity_max	100
+		time_to_live	1.3
+		time_to_live_min	1.3
+		time_to_live_max	1.3
+		duration	0.2
+		duration_min	0.2
+		duration_max	0.2
+		repeat_delay	1000000
+		repeat_delay_min	1000000
+		repeat_delay_max	1000000
+	}
+
+	affector Scaler
+	{
+		rate	40
+	}
+
+	affector ColourInterpolator
+	{
+		colour0	0.5 0.5 0.5 0
+		time0	0
+		colour1	1 1 1 0
+		time1	0.1
+		colour2	0.1 0.1 0.1 0
+		time2	0.6
+		colour3	0 0 0 0
+		time3	1
+		colour4	0.5 0.5 0.5 0
+		time4	1
+		colour5	0.5 0.5 0.5 0
+		time5	1
+	}
+}
Index: data/Media/particle/bigexplosion1part3.particle
===================================================================
--- data/Media/particle/bigexplosion1part3.particle	(revision 5141)
+++ data/Media/particle/bigexplosion1part3.particle	(revision 5141)
@@ -0,0 +1,64 @@
+
+Orxonox/BigExplosion1part3
+{
+	quota	200
+	material	PE/point_lensflare
+	particle_width	15
+	particle_height	15
+	cull_each	false
+	renderer	billboard
+	sorted	false
+	local_space	false
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	point
+	billboard_origin	center
+	billboard_rotation_type	texcoord
+	common_up_vector	0 1 0
+	point_rendering	false
+	accurate_facing	false
+
+	emitter Ring
+	{
+		angle	0
+		colour	0 0 0 1
+		colour_range_start	0 0 0 1
+		colour_range_end	0 0 0 1
+		direction	0 1 0
+		emission_rate	2000
+		position	0 0 0
+		velocity	0
+		velocity_min	0
+		velocity_max	0
+		time_to_live	1
+		time_to_live_min	1
+		time_to_live_max	1
+		duration	0.1
+		duration_min	0.1
+		duration_max	0.1
+		repeat_delay	1000000
+		repeat_delay_min	1000000
+		repeat_delay_max	1000000
+		width	150
+		height	150
+		depth	0
+		inner_width	1
+		inner_height	1
+	}
+
+	affector ColourInterpolator
+	{
+		colour0	0 0 0 0
+		time0	0
+		colour1	1 1 1 0
+		time1	0.5
+		colour2	0 0 0 0
+		time2	1
+		colour3	0.5 0.5 0.5 0
+		time3	1
+		colour4	0.5 0.5 0.5 0
+		time4	1
+		colour5	0.5 0.5 0.5 0
+		time5	1
+	}
+}
Index: data/Media/particle/explosion1.particle
===================================================================
--- data/Media/particle/explosion1.particle	(revision 5141)
+++ data/Media/particle/explosion1.particle	(revision 5141)
@@ -0,0 +1,64 @@
+
+Orxonox/explosion1
+{
+	quota	200
+	material	PE/explosion
+	particle_width	100
+	particle_height	40
+	cull_each	false
+	renderer	billboard
+	sorted	false
+	local_space	false
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	oriented_self
+	billboard_origin	center
+	billboard_rotation_type	texcoord
+	common_up_vector	0 1 0
+	point_rendering	false
+	accurate_facing	false
+
+	emitter Point
+	{
+		angle	180
+		colour	1 0.9 0.8 1
+		colour_range_start	1 0.9 0.8 1
+		colour_range_end	1 0.9 0.8 1
+		direction	0 1 0
+		emission_rate	2000
+		position	0 0 0
+		velocity	0
+		velocity_min	0
+		velocity_max	75
+		time_to_live	0.75
+		time_to_live_min	0.75
+		time_to_live_max	0.75
+		duration	0.1
+		duration_min	0.1
+		duration_max	0.1
+		repeat_delay	1000000
+		repeat_delay_min	1000000
+		repeat_delay_max	1000000
+	}
+
+	affector Scaler
+	{
+		rate	20
+	}
+
+	affector ColourInterpolator
+	{
+		colour0	0.2 0.2 0.2 0
+		time0	0
+		colour1	0.4 0.3 0.2 0
+		time1	0.3
+		colour2	0.1 0.1 0.1 0
+		time2	0.5
+		colour3	0 0 0 0
+		time3	1
+		colour4	0.5 0.5 0.5 0
+		time4	1
+		colour5	0.5 0.5 0.5 0
+		time5	1
+	}
+}
Index: data/Media/particle/fairytwirl.particle
===================================================================
--- data/Media/particle/fairytwirl.particle	(revision 5141)
+++ data/Media/particle/fairytwirl.particle	(revision 5141)
@@ -0,0 +1,64 @@
+
+Orxonox/fairytwirl
+{
+	quota	1000
+	material	PE/lensflare
+	particle_width	7
+	particle_height	7
+	cull_each	false
+	renderer	billboard
+	sorted	false
+	local_space	false
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	point
+	billboard_origin	center
+	billboard_rotation_type	texcoord
+	common_up_vector	0 1 0
+	point_rendering	false
+	accurate_facing	false
+
+	emitter Ring
+	{
+		angle	0
+		colour	0 0 0 1
+		colour_range_start	0 0 0 1
+		colour_range_end	0 0 0 1
+		direction	0 1 0
+		emission_rate	1000
+		position	0 0 0
+		velocity	120
+		velocity_min	120
+		velocity_max	120
+		time_to_live	1
+		time_to_live_min	1
+		time_to_live_max	1
+		duration	1
+		duration_min	1
+		duration_max	1
+		repeat_delay	1000000
+		repeat_delay_min	1000000
+		repeat_delay_max	1000000
+		width	100
+		height	100
+		depth	20
+		inner_width	1
+		inner_height	1
+	}
+
+	affector ColourInterpolator
+	{
+		colour0	0 0 0 0
+		time0	0
+		colour1	1 1 1 0
+		time1	0.5
+		colour2	0 0 0 0
+		time2	1
+		colour3	0.5 0.5 0.5 0
+		time3	1
+		colour4	0.5 0.5 0.5 0
+		time4	1
+		colour5	0.5 0.5 0.5 0
+		time5	1
+	}
+}
Index: data/Media/particle/rauch.particle
===================================================================
--- data/Media/particle/rauch.particle	(revision 5055)
+++ 	(revision )
@@ -1,51 +1,0 @@
-
-Orxonox/rauch
-{
-	quota	1000
-	material	PE/smoke
-	particle_width	4
-	particle_height	4
-	cull_each	false
-	renderer	billboard
-	billboard_type	point
-
-	emitter Ellipsoid
-	{
-		angle	150
-		colour	0.0547945 0.0547945 0.0547945 0.9
-		colour_range_start	0.0547945 0.0547945 0.0547945 0.9
-		colour_range_end	0.0547945 0.0547945 0.0547945 0.9
-		direction	0 1 0
-		emission_rate	40
-		position	0 0 0
-		velocity	2
-		velocity_min	2
-		velocity_max	2
-		time_to_live	3
-		time_to_live_min	3
-		time_to_live_max	5
-		duration	0
-		duration_min	0
-		duration_max	0
-		repeat_delay	0
-		repeat_delay_min	0
-		repeat_delay_max	0
-		width	0.2
-		height	0.2
-		depth	0.2
-	}
-
-	affector ColourFader
-	{
-		red	0.3
-		green	0.3
-		blue	0.3
-		alpha	-0.35
-	}
-
-	affector LinearForce
-	{
-		force_vector	10 0 0
-		force_application	add
-	}
-}
Index: data/Media/particle/ray1.particle
===================================================================
--- data/Media/particle/ray1.particle	(revision 5141)
+++ data/Media/particle/ray1.particle	(revision 5141)
@@ -0,0 +1,30 @@
+
+Orxonox/ray1
+{
+	quota	1000
+	material	PE/lensflare
+	particle_width	4
+	particle_height	4
+	cull_each	false
+	renderer	billboard
+	billboard_type	point
+
+	emitter Point
+	{
+		angle	0
+		colour	1 1 1 1
+		colour_range_start	1 1 1 1
+		colour_range_end	1 1 1 1
+		direction	0 1 0
+		emission_rate	100
+		position	0 0 0
+		velocity	50
+		time_to_live	8
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+	}
+}
Index: data/Media/particle/ray2.particle
===================================================================
--- data/Media/particle/ray2.particle	(revision 5141)
+++ data/Media/particle/ray2.particle	(revision 5141)
@@ -0,0 +1,38 @@
+
+Orxonox/ray2
+{
+	quota	1200
+	material	PE/lensflare
+	particle_width	4
+	particle_height	4
+	cull_each	false
+	renderer	billboard
+	billboard_type	point
+
+	emitter Ring
+	{
+		angle	0
+		colour	1 1 1 1
+		colour_range_start	1 1 1 1
+		colour_range_end	1 1 1 1
+		direction	0 1 0
+		emission_rate	7
+		position	0 0 0
+		velocity	20
+		velocity_min	20
+		velocity_max	50
+		time_to_live	10
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+		width	15
+		height	15
+		depth	15
+		inner_width	0.5
+		inner_height	0.5
+	}
+
+}
Index: data/Media/particle/schuss.particle
===================================================================
--- data/Media/particle/schuss.particle	(revision 5055)
+++ 	(revision )
@@ -1,36 +1,0 @@
-Orxonox/schuss
-{
-	quota	5000
-	material	PE/lensflare
-	particle_width	3
-	particle_height	3
-	cull_each	false
-	renderer	billboard
-	billboard_type	point
-
-	emitter Cylinder
-	{
-		angle	0
-		colour	1 1 0 1
-		colour_range_start	1 1 0 1
-		colour_range_end	0.3 1 0.3 1
-		direction	0 1 0
-		emission_rate	260.9
-		position	0 0 0
-		velocity	120
-		velocity_min	120
-		velocity_max	120
-		time_to_live	2
-		time_to_live_min	2
-		time_to_live_max	2
-		duration	0.1
-		duration_min	0.1
-		duration_max	0.1
-		repeat_delay	0.5
-		repeat_delay_min	0.5
-		repeat_delay_max	0.5
-		width	0.5
-		height	0.5
-		depth	5
-	}
-}
Index: data/Media/particle/shot1.particle
===================================================================
--- data/Media/particle/shot1.particle	(revision 5141)
+++ data/Media/particle/shot1.particle	(revision 5141)
@@ -0,0 +1,36 @@
+Orxonox/shot1
+{
+	quota	5000
+	material	PE/lensflare
+	particle_width	3
+	particle_height	3
+	cull_each	false
+	renderer	billboard
+	billboard_type	point
+
+	emitter Cylinder
+	{
+		angle	0
+		colour	1 1 0 1
+		colour_range_start	1 1 0 1
+		colour_range_end	0.3 1 0.3 1
+		direction	0 1 0
+		emission_rate	260.9
+		position	0 0 0
+		velocity	120
+		velocity_min	120
+		velocity_max	120
+		time_to_live	2
+		time_to_live_min	2
+		time_to_live_max	2
+		duration	0.1
+		duration_min	0.1
+		duration_max	0.1
+		repeat_delay	0.5
+		repeat_delay_min	0.5
+		repeat_delay_max	0.5
+		width	0.5
+		height	0.5
+		depth	5
+	}
+}
Index: data/Media/particle/shot2.particle
===================================================================
--- data/Media/particle/shot2.particle	(revision 5141)
+++ data/Media/particle/shot2.particle	(revision 5141)
@@ -0,0 +1,56 @@
+
+Orxonox/shot2
+{
+	quota	50
+	material	PE/point_lensflare
+	particle_width	50
+	particle_height	50
+	cull_each	false
+	renderer	billboard
+	sorted	false
+	local_space	false
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	point
+	billboard_origin	center
+	billboard_rotation_type	texcoord
+	common_up_vector	0 1 0
+	point_rendering	false
+	accurate_facing	false
+
+	emitter Point
+	{
+		angle	0
+		colour	0 0 0 0
+		colour_range_start	0 0 0 0
+		colour_range_end	0.3 0.3 0.3 0
+		direction	0 -1 0
+		emission_rate	100
+		position	0 0 0
+		velocity	300
+		velocity_min	300
+		velocity_max	300
+		time_to_live	0.4
+		time_to_live_min	0.4
+		time_to_live_max	0.4
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+	}
+
+   	affector Scaler
+   	{
+       	rate 	-10
+   	}
+
+	affector ColourFader
+	{
+		red	-0.3
+		green	-0.3
+		blue	-0.2
+		alpha	0
+	}
+}
Index: data/Media/particle/smoke.particle
===================================================================
--- data/Media/particle/smoke.particle	(revision 5055)
+++ 	(revision )
@@ -1,43 +1,0 @@
-// Example particle systems
-
-// smoke
-Examples/Smoke
-{
-    	material        	Examples/Smoke
-    	particle_width  	55
-    	particle_height 	55
-    	cull_each       	true
-    	quota           	500
-    	billboard_type  	point
-		sorted				true
-    
-    	// Area emitter
-    	emitter Point
-    	{
-		angle               		11
-        	emission_rate       		15
-        	time_to_live        		4
-        	direction           		0 1 0
-        	velocity_min        		150
-        	velocity_max        		240    	
-	}
-
-	affector ColourImage
-	{
-		image		smokecolors.tga
-	}
-
-   	affector Rotator
-   	{
-        	rotation_range_start  		0
-        	rotation_range_end   	 	360
-        	rotation_speed_range_start  	-60
-        	rotation_speed_range_end    	200
-   	}
-
-   	affector Scaler
-   	{
-       	rate 	100
-   	}
-
-}
Index: data/Media/particle/smoke1.particle
===================================================================
--- data/Media/particle/smoke1.particle	(revision 5141)
+++ data/Media/particle/smoke1.particle	(revision 5141)
@@ -0,0 +1,43 @@
+// Example particle systems
+
+// smoke
+Examples/Smoke
+{
+    	material        	Examples/Smoke
+    	particle_width  	55
+    	particle_height 	55
+    	cull_each       	true
+    	quota           	500
+    	billboard_type  	point
+		sorted				true
+    
+    	// Area emitter
+    	emitter Point
+    	{
+		angle               		11
+        	emission_rate       		15
+        	time_to_live        		4
+        	direction           		0 1 0
+        	velocity_min        		150
+        	velocity_max        		240    	
+	}
+
+	affector ColourImage
+	{
+		image		smokecolors.tga
+	}
+
+   	affector Rotator
+   	{
+        	rotation_range_start  		0
+        	rotation_range_end   	 	360
+        	rotation_speed_range_start  	-60
+        	rotation_speed_range_end    	200
+   	}
+
+   	affector Scaler
+   	{
+       	rate 	100
+   	}
+
+}
Index: data/Media/particle/smoke2.particle
===================================================================
--- data/Media/particle/smoke2.particle	(revision 5141)
+++ data/Media/particle/smoke2.particle	(revision 5141)
@@ -0,0 +1,45 @@
+
+Orxonox/smoke2
+{
+	quota	1000
+	material	PE/smoke
+	particle_width	4
+	particle_height	4
+	cull_each	false
+	renderer	billboard
+	billboard_type	point
+
+	emitter Ellipsoid
+	{
+		angle	150
+		colour	0.0547945 0.0547945 0.0547945 0.9
+		colour_range_start	0.0547945 0.0547945 0.0547945 0.9
+		colour_range_end	0.0547945 0.0547945 0.0547945 0.9
+		direction	0 1 0
+		emission_rate	40
+		position	0 0 0
+		velocity	2
+		velocity_min	2
+		velocity_max	2
+		time_to_live	3
+		time_to_live_min	3
+		time_to_live_max	5
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+		width	0.2
+		height	0.2
+		depth	0.2
+	}
+
+	affector ColourFader
+	{
+		red	0.3
+		green	0.3
+		blue	0.3
+		alpha	-0.35
+	}
+}
Index: data/Media/particle/smoke3.particle
===================================================================
--- data/Media/particle/smoke3.particle	(revision 5141)
+++ data/Media/particle/smoke3.particle	(revision 5141)
@@ -0,0 +1,79 @@
+
+Orxonox/smoke3
+{
+	quota	10
+	material	PE/smoke2
+	particle_width	30
+	particle_height	30
+	cull_each	false
+	renderer	billboard
+	sorted	false
+	local_space	false
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	point
+	billboard_origin	center
+	billboard_rotation_type	vertex
+	common_up_vector	0 1 0
+	point_rendering	false
+	accurate_facing	false
+
+	emitter Point
+	{
+		angle	180
+		colour	0 0 0 0
+		colour_range_start	0 0 0 0
+		colour_range_end	0 0 0 0
+		direction	0 1 0
+		emission_rate	10
+		position	0 0 0
+		velocity	7
+		velocity_min	7
+		velocity_max	7
+		time_to_live	5
+		time_to_live_min	5
+		time_to_live_max	5
+		duration	1
+		duration_min	1
+		duration_max	1
+		repeat_delay	1000000
+		repeat_delay_min	1000000
+		repeat_delay_max	1000000
+	}
+
+	affector Scaler
+	{
+		rate	20
+	}
+
+	affector DirectionRandomiser
+	{
+		randomness	150
+		scope	1
+		keep_velocity	true
+	}
+
+	affector Rotator
+	{
+		rotation_speed_range_start	-20
+		rotation_speed_range_end	20
+		rotation_range_start	0
+		rotation_range_end	0
+	}
+
+	affector ColourInterpolator
+	{
+		colour0	0 0 0 0
+		time0	0
+		colour1	0.5 0.5 0.5 0.2
+		time1	0.2
+		colour2	0.5 0.5 0.5 0.5
+		time2	0.5
+		colour3	0 0 0 0
+		time3	1
+		colour4	0.5 0.5 0.5 0
+		time4	1
+		colour5	0.5 0.5 0.5 0
+		time5	1
+	}
+}
Index: data/Media/particle/strahl.particle
===================================================================
--- data/Media/particle/strahl.particle	(revision 5055)
+++ 	(revision )
@@ -1,30 +1,0 @@
-
-Orxonox/strahl
-{
-	quota	1000
-	material	PE/lensflare
-	particle_width	4
-	particle_height	4
-	cull_each	false
-	renderer	billboard
-	billboard_type	point
-
-	emitter Point
-	{
-		angle	0
-		colour	1 1 1 1
-		colour_range_start	1 1 1 1
-		colour_range_end	1 1 1 1
-		direction	0 1 0
-		emission_rate	100
-		position	0 0 0
-		velocity	50
-		time_to_live	8
-		duration	0
-		duration_min	0
-		duration_max	0
-		repeat_delay	0
-		repeat_delay_min	0
-		repeat_delay_max	0
-	}
-}
Index: data/Media/particle/strahl2.particle
===================================================================
--- data/Media/particle/strahl2.particle	(revision 5055)
+++ 	(revision )
@@ -1,38 +1,0 @@
-
-Orxonox/strahl2
-{
-	quota	1200
-	material	PE/lensflare
-	particle_width	4
-	particle_height	4
-	cull_each	false
-	renderer	billboard
-	billboard_type	point
-
-	emitter Ring
-	{
-		angle	0
-		colour	1 1 1 1
-		colour_range_start	1 1 1 1
-		colour_range_end	1 1 1 1
-		direction	0 1 0
-		emission_rate	7
-		position	0 0 0
-		velocity	20
-		velocity_min	20
-		velocity_max	50
-		time_to_live	10
-		duration	0
-		duration_min	0
-		duration_max	0
-		repeat_delay	0
-		repeat_delay_min	0
-		repeat_delay_max	0
-		width	15
-		height	15
-		depth	15
-		inner_width	0.5
-		inner_height	0.5
-	}
-
-}
Index: data/Media/particle/thruster1.particle
===================================================================
--- data/Media/particle/thruster1.particle	(revision 5141)
+++ data/Media/particle/thruster1.particle	(revision 5141)
@@ -0,0 +1,53 @@
+Orxonox/thruster1
+{
+	quota	100
+	material	PE/bigFlame
+	particle_width	15
+	particle_height	15
+	cull_each	false
+	renderer	billboard
+	billboard_type	point
+
+	emitter HollowEllipsoid
+	{
+		angle	0
+		colour	0.493151 0.246575 0.0410959 1
+		colour_range_start	0.493151 0.246575 0.0410959 1
+		colour_range_end	0.684932 0.547945 0.315068 1
+		direction	0 1 0
+		emission_rate	300
+		position	0 0 0
+		velocity	100
+		velocity_min	18
+		velocity_max	30
+		time_to_live	0.25
+		time_to_live_min	0
+		time_to_live_max	0.25
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+		width	5
+		height	5
+		depth	2.8
+		inner_width	0.8
+		inner_height	0.8
+		inner_depth	0.8
+	}
+
+
+	affector ColourFader2
+	{
+		red1	0
+		green1	0
+		blue1	0
+		alpha1	0
+		red2	-0.3
+		green2	-0.6
+		blue2	-0.6
+		alpha2	0
+		state_change	0.25
+	}
+}
Index: data/Media/particle/thruster2.particle
===================================================================
--- data/Media/particle/thruster2.particle	(revision 5141)
+++ data/Media/particle/thruster2.particle	(revision 5141)
@@ -0,0 +1,39 @@
+Orxonox/thruster2
+{
+	quota	200
+	material	PE/bigFlame
+	particle_width	12
+	particle_height	12
+	cull_each	false
+	renderer	billboard
+	billboard_type	point
+
+	emitter HollowEllipsoid
+	{
+		angle	0
+		colour	0.46875 0.8125 0.93359375 1
+		colour_range_start	.6640625 .91796875 .92578125 1
+		colour_range_end	.08203125 .7578125 .98046875 1
+		direction	0 1 0
+		emission_rate	200
+		position	0 0 0
+		velocity	5
+		velocity_min	4
+		velocity_max	6
+		time_to_live	0.1
+		time_to_live_min	0.15
+		time_to_live_max	0.25
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+		width	4
+		height	2.5
+		depth	1.3
+		inner_width	0.5
+		inner_height	0.3
+		inner_depth	0.2
+	}
+}
Index: data/Media/particle/treibwerk.particle
===================================================================
--- data/Media/particle/treibwerk.particle	(revision 5055)
+++ 	(revision )
@@ -1,54 +1,0 @@
-
-Orxonox/treibwerk
-{
-	quota	1000
-	material	PE/bigFlame
-	particle_width	20
-	particle_height	20
-	cull_each	false
-	renderer	billboard
-	billboard_type	point
-
-	emitter HollowEllipsoid
-	{
-		angle	0
-		colour	0.493151 0.246575 0.0410959 1
-		colour_range_start	0.493151 0.246575 0.0410959 1
-		colour_range_end	0.684932 0.547945 0.315068 1
-		direction	0 1 0
-		emission_rate	130.4
-		position	0 0 0
-		velocity	18
-		velocity_min	18
-		velocity_max	30
-		time_to_live	0.9
-		time_to_live_min	0.9
-		time_to_live_max	2
-		duration	0
-		duration_min	0
-		duration_max	0
-		repeat_delay	0
-		repeat_delay_min	0
-		repeat_delay_max	0
-		width	20
-		height	20
-		depth	2.8
-		inner_width	0.8
-		inner_height	0.8
-		inner_depth	0.8
-	}
-
-
-	affector ColourFader2
-	{
-		red1	0
-		green1	0
-		blue1	0
-		alpha1	0
-		red2	-0.2
-		green2	-0.4
-		blue2	-0.4
-		alpha2	0
-		state_change	0.9
-	}
-}