Index: data/Media/gui/scripts/loadGUI.lua
===================================================================
--- data/Media/gui/scripts/loadGUI.lua	(revision 5235)
+++ data/Media/gui/scripts/loadGUI.lua	(revision 5236)
@@ -14,5 +14,5 @@
 quit:setText("Quit")
 quit:setSize(CEGUI.UVector2(CEGUI.UDim(0.15, 0), CEGUI.UDim(0.05, 0)))
-quit:setPosition(CEGUI.UVector2(CEGUI.UDim(0.4, 0), CEGUI.UDim(0.6, 0)))
+quit:setPosition(CEGUI.UVector2(CEGUI.UDim(0.4, 0), CEGUI.UDim(0.7, 0)))
 quit:subscribeEvent("Clicked","button_quit_clicked")
 
@@ -23,8 +23,14 @@
 standalone:subscribeEvent("Clicked","button_standalone_clicked")
 
+local dedicated = winMgr:createWindow("TaharezLook/Button", "orxonox/DedicatedButton")
+dedicated:setText("Dedicated")
+dedicated:setSize(CEGUI.UVector2(CEGUI.UDim(0.15, 0), CEGUI.UDim(0.05, 0)))
+dedicated:setPosition(CEGUI.UVector2(CEGUI.UDim(0.4, 0), CEGUI.UDim(0.4, 0)))
+dedicated:subscribeEvent("Clicked","button_dedicated_clicked")
+
 local server = winMgr:createWindow("TaharezLook/Button", "orxonox/ServerButton")
 server:setText("Server")
 server:setSize(CEGUI.UVector2(CEGUI.UDim(0.15, 0), CEGUI.UDim(0.05, 0)))
-server:setPosition(CEGUI.UVector2(CEGUI.UDim(0.4, 0), CEGUI.UDim(0.4, 0)))
+server:setPosition(CEGUI.UVector2(CEGUI.UDim(0.4, 0), CEGUI.UDim(0.5, 0)))
 server:subscribeEvent("Clicked","button_server_clicked")
 
@@ -32,5 +38,5 @@
 client:setText("Client")
 client:setSize(CEGUI.UVector2(CEGUI.UDim(0.15, 0), CEGUI.UDim(0.05, 0)))
-client:setPosition(CEGUI.UVector2(CEGUI.UDim(0.4, 0), CEGUI.UDim(0.5, 0)))
+client:setPosition(CEGUI.UVector2(CEGUI.UDim(0.4, 0), CEGUI.UDim(0.6, 0)))
 client:subscribeEvent("Clicked","button_client_clicked")
 
@@ -43,4 +49,5 @@
 rootSheet:addChildWindow(standalone)
 rootSheet:addChildWindow(server)
+rootSheet:addChildWindow(dedicated)
 rootSheet:addChildWindow(client)
 background:addChildWindow(rootSheet)
@@ -59,4 +66,9 @@
 function button_server_clicked(e)
   orxonox.CommandExecutor:execute("selectGameState server")
+  hideGUI()
+end
+
+function button_dedicated_clicked(e)
+  orxonox.CommandExecutor:execute("selectGameState dedicated")
   hideGUI()
 end
Index: data/Media/levels/hudtemplates.oxw
===================================================================
--- data/Media/levels/hudtemplates.oxw	(revision 5236)
+++ data/Media/levels/hudtemplates.oxw	(revision 5236)
@@ -0,0 +1,59 @@
+<Template name="spectatorhud">
+  <OverlayGroup name = "spectatorhud" scale = "1, 1">
+    <OverlayText
+     position = "0.5, 0.85"
+     font     = "VeraMono"
+     caption  = "Press [Fire] to start the match!"
+     textSize = 0.05
+     colour   = "1.0, 1.0, 0.0, 0.8"
+     align    = "center"
+    />
+  </OverlayGroup>
+</Template>
+
+<Template name="spaceshiphud">
+  <OverlayGroup name = "HUD" scale = "1, 1">
+    <HUDSpeedBar
+     name       = "SpeedBar1"
+     background = "Orxonox/BarBackground"
+     size       = "0.35, 0.05"
+     position   = "0.0 , 1.0 "
+     pickPoint  = "0, 1"
+     value      = 0
+    >
+      <BarColour position = 0.7 colour = "0.2,0.7,0.2" />
+      <BarColour position = 0.4 colour = "0.7,0.5,0.2" />
+      <BarColour position = 0.1 colour = "0.7,0.2,0.2" />
+    </HUDSpeedBar>
+
+    <HUDNavigation
+     name          = "Navigation"
+     correctAspect = true
+     font          = "Monofur"
+     textSize      = 0.05
+     navMarkerSize = 0.03
+     aimMarkerSize = 0.04
+    />
+
+    <HUDRadar
+     name          = "Radar"
+     background    = "Orxonox/Radar"
+     correctAspect = true
+     size          = "0.17, 0.17"
+     position      = "0.5, 1.0"
+     pickPoint     = "0.5, 1.0"
+     rotation      = 0
+     sensitivity   = 1.0
+     halfDotSizeDistance = 3000
+     maximumDotSize      = 0.1
+    />
+
+    <ChatOverlay
+     name     = "chat"
+     position = "0.03, 0.5"
+     font     = "VeraMono"
+     caption  = ""
+     textSize = 0.025
+    />
+  </OverlayGroup>
+</Template>
Index: data/Media/levels/sample2.oxw
===================================================================
--- data/Media/levels/sample2.oxw	(revision 5235)
+++ data/Media/levels/sample2.oxw	(revision 5236)
@@ -1,39 +1,47 @@
-<Template name="spectatorhud">
-  <OverlayGroup>
-    <OverlayText
-     position = "0.5, 0.85"
-     font     = "VeraMono"
-     caption  = "Press [Fire] to start the match!"
-     textSize = 0.05
-     colour   = "1.0, 1.0, 0.0, 0.8"
-     align    = "center"
-    />
-  </OverlayGroup>
-</Template>
+<?lua
+  include("../../media/levels/hudtemplates.oxw")
+?>
 
-<LevelInfo name="Sample" description="Just a few tests" ambientlight="1,0,0,1" skybox="Orxonox/Starbox" />
-<!--PositionableEntity position="10,20,30" /-->
-<!--MovableEntity position="100,200,300" velocity="1,0,0">
+<LevelInfo
+ name         = "Sample"
+ description  = "Just a few tests"
+ ambientlight = "0.4, 0.4, 0.4"
+ skybox       = "Orxonox/Starbox"
+/>
+
+<MovableEntity position="0,0,-300" velocity="0,0,0" rotationaxis="0,1,0" rotationrate=90>
   <attached>
-    <MovableEntity position="0,0,1">
+    <Model position="0,0,0" scale=10 mesh="ast1.mesh" />
+    <PositionableEntity position="0,0,100">
       <attached>
-        <MovableEntity position="0,0,10" />
-        <PositionableEntity position="0,0,20" />
+        <Model position="0,0,0" scale=6 mesh="ast1.mesh" />
+        <MovableEntity position="0,0,0" velocity="0,0,0" rotationaxis="0,0,1" rotationrate=500>
+          <attached>
+            <Model position="0,35,0" scale=2 mesh="ast1.mesh" />
+            <Model position="0,-35,0" scale=2 mesh="ast1.mesh" />
+            <Model position="35,0,0" scale=2 mesh="ast1.mesh" />
+            <Model position="-35,0,0" scale=2 mesh="ast1.mesh" />
+          </attached>
+        </MovableEntity>
+      </attached>
+    </PositionableEntity>
+    <MovableEntity position="0,0,-100" velocity="0,0,0" rotationaxis="0,1,0" rotationrate=200>
+      <attached>
+        <Model position="0,0,0" scale=6 mesh="ast1.mesh" />
+        <Model position="0,0,-50" scale=3 mesh="ast1.mesh" />
+        <Model position="0,0,50" scale=3 mesh="ast1.mesh" />
       </attached>
     </MovableEntity>
-    <PositionableEntity position="0,0,2">
-      <attached>
-        <MovableEntity position="0,0,20" />
-      </attached>
-    </PositionableEntity>
   </attached>
-</MovableEntity-->
-<!--ControllableEntity position="10,20,30" /-->
-<!--MovableEntity position="100,200,300" /-->
+</MovableEntity>
 
-<Model position="0,0,100" mesh="ast1.mesh" />
-<Model position="0,0,-100" mesh="ast1.mesh" />
-<Model position="0,100,0" mesh="ast1.mesh" />
-<Model position="0,-100,0" mesh="ast1.mesh" />
-<Model position="100,0,0" mesh="ast1.mesh" />
-<Model position="-100,0,0" mesh="ast1.mesh" />
+<Model position="0,0,200" scale=10 mesh="ast2.mesh" shadow=true />
+<!--Model position="0,0,-200" scale=10 mesh="ast1.mesh" shadow=true /-->
+<Model position="0,200,0" scale=10 mesh="ast3.mesh" shadow=true />
+<Model position="0,-200,0" scale=10 mesh="ast4.mesh" shadow=true />
+<Model position="200,0,0" scale=10 mesh="ast5.mesh" shadow=false />
+<Model position="-200,0,0" scale=10 mesh="ast6.mesh" shadow=false />
+
+<Model position="0,0,-100" pitch=-90 roll=-90 scale=7 mesh="assff.mesh" />
+
+<Model position="1000,-200,200" scale3D="1,1000,1000" mesh="ast1.mesh" />
Index: data/Media/materials/scripts/assff.material
===================================================================
--- data/Media/materials/scripts/assff.material	(revision 5235)
+++ data/Media/materials/scripts/assff.material	(revision 5236)
@@ -7,5 +7,5 @@
 		{
 			ambient 0.600000 0.600000 0.600000 1.000000
-			diffuse 0.800000 0.800000 0.800000 1.000000
+			diffuse 5.000000 5.000000 5.000000 1.000000
 			emissive 0.000000 0.000000 0.000000 1.000000
 			texture_unit
Index: data/Media/materials/scripts/rock.material
===================================================================
--- data/Media/materials/scripts/rock.material	(revision 5235)
+++ data/Media/materials/scripts/rock.material	(revision 5236)
@@ -5,4 +5,6 @@
 		pass
 		{
+			ambient 1.0 1.0 1.0 1.0
+			diffuse 10.0 10.0 10.0 1.0
 
 			texture_unit