Index: data/media/levels/hudtemplates.oxw
===================================================================
--- data/media/levels/hudtemplates.oxw	(revision 5239)
+++ data/media/levels/hudtemplates.oxw	(revision 5240)
@@ -2,4 +2,5 @@
   <OverlayGroup name = "spectatorhud" scale = "1, 1">
     <OverlayText
+     name     = "starttext"
      position = "0.5, 0.85"
      font     = "VeraMono"
@@ -8,4 +9,12 @@
      colour   = "1.0, 1.0, 0.0, 0.8"
      align    = "center"
+    />
+
+    <ChatOverlay
+     name     = "chat"
+     position = "0.03, 0.5"
+     font     = "VeraMono"
+     caption  = ""
+     textSize = 0.025
     />
   </OverlayGroup>
Index: data/media/levels/sample2.oxw
===================================================================
--- data/media/levels/sample2.oxw	(revision 5239)
+++ data/media/levels/sample2.oxw	(revision 5240)
@@ -6,42 +6,57 @@
  name         = "Sample"
  description  = "Just a few tests"
- ambientlight = "0.4, 0.4, 0.4"
- skybox       = "Orxonox/Starbox"
-/>
+>
+  <Scene
+   ambientlight = "0.4, 0.4, 0.4"
+   skybox       = "Orxonox/Starbox"
+  >
+    <SpawnPoint position="0,0,100" spawnclass=Spectator />
+    <SpawnPoint position="0,0,-700" yaw=180 spawnclass=Spectator />
+    <SpawnPoint position="0,300,-300" pitch=-90 spawnclass=Spectator />
 
-<MovableEntity position="0,0,-300" velocity="0,0,0" rotationaxis="0,1,0" rotationrate=90>
-  <attached>
-    <Model position="0,0,0" scale=10 mesh="ast1.mesh" />
-    <PositionableEntity position="0,0,100">
+    <MovableEntity position="0,0,-300" velocity="0,0,0" rotationaxis="0,1,0" rotationrate=90>
       <attached>
-        <Model position="0,0,0" scale=6 mesh="ast1.mesh" />
-        <MovableEntity position="0,0,0" velocity="0,0,0" rotationaxis="0,0,1" rotationrate=500>
+        <Model position="0,0,0" scale=10 mesh="ast1.mesh" />
+        <PositionableEntity position="0,0,100">
           <attached>
-            <Model position="0,35,0" scale=2 mesh="ast1.mesh" />
-            <Model position="0,-35,0" scale=2 mesh="ast1.mesh" />
-            <Model position="35,0,0" scale=2 mesh="ast1.mesh" />
-            <Model position="-35,0,0" scale=2 mesh="ast1.mesh" />
+            <Model position="0,0,0" scale=6 mesh="ast1.mesh" />
+            <MovableEntity position="0,0,0" velocity="0,0,0" rotationaxis="0,0,1" rotationrate=500>
+              <attached>
+                <Model position="0,35,0" scale=2 mesh="ast1.mesh" />
+                <Model position="0,-35,0" scale=2 mesh="ast1.mesh" />
+                <Model position="35,0,0" scale=2 mesh="ast1.mesh" />
+                <Model position="-35,0,0" scale=2 mesh="ast1.mesh" />
+              </attached>
+            </MovableEntity>
+          </attached>
+        </PositionableEntity>
+        <MovableEntity position="0,0,-100" velocity="0,0,0" rotationaxis="0,1,0" rotationrate=200>
+          <attached>
+            <Model position="0,0,0" scale=6 mesh="ast1.mesh" />
+            <Model position="0,0,-50" scale=3 mesh="ast1.mesh" />
+            <Model position="0,0,50" scale=3 mesh="ast1.mesh" />
           </attached>
         </MovableEntity>
       </attached>
-    </PositionableEntity>
-    <MovableEntity position="0,0,-100" velocity="0,0,0" rotationaxis="0,1,0" rotationrate=200>
-      <attached>
-        <Model position="0,0,0" scale=6 mesh="ast1.mesh" />
-        <Model position="0,0,-50" scale=3 mesh="ast1.mesh" />
-        <Model position="0,0,50" scale=3 mesh="ast1.mesh" />
-      </attached>
     </MovableEntity>
-  </attached>
-</MovableEntity>
 
-<Model position="0,0,200" scale=10 mesh="ast2.mesh" shadow=true />
-<!--Model position="0,0,-200" scale=10 mesh="ast1.mesh" shadow=true /-->
-<Model position="0,200,0" scale=10 mesh="ast3.mesh" shadow=true />
-<Model position="0,-200,0" scale=10 mesh="ast4.mesh" shadow=true />
-<Model position="200,0,0" scale=10 mesh="ast5.mesh" shadow=false />
-<Model position="-200,0,0" scale=10 mesh="ast6.mesh" shadow=false />
+    <Model position="0,0,200" scale=10 mesh="ast2.mesh" shadow=true />
+    <!--Model position="0,0,-200" scale=10 mesh="ast1.mesh" shadow=true /-->
+    <Model position="0,200,0" scale=10 mesh="ast3.mesh" shadow=true />
+    <Model position="0,-200,0" scale=10 mesh="ast4.mesh" shadow=true />
+    <Model position="200,0,0" scale=10 mesh="ast5.mesh" shadow=false />
+    <Model position="-200,0,0" scale=10 mesh="ast6.mesh" shadow=false />
 
-<Model position="0,0,-100" pitch=-90 roll=-90 scale=7 mesh="assff.mesh" />
+    <Model position="0,0,-100" pitch=-90 roll=-90 scale=7 mesh="assff.mesh" />
 
-<Model position="1000,-200,0" scale3D="1,100,100" mesh="ast1.mesh" />
+    <Model position="1000,-200,0" scale3D="1,100,100" mesh="ast1.mesh" />
+  </Scene>
+
+  <Scene
+   ambientlight = "1.0, 0.0, 0.0"
+   skybox       = "Orxonox/StarSkyBox"
+  >
+    <SpawnPoint position="0,0,100" spawnclass=Spectator />
+    <Model position="0,0,-100" pitch=-90 roll=-90 scale=7 mesh="assff.mesh" />
+  </Scene>
+</Level>