Index: data/media/levels/hudtemplates.oxw
===================================================================
--- data/media/levels/hudtemplates.oxw	(revision 5240)
+++ data/media/levels/hudtemplates.oxw	(revision 5241)
@@ -2,8 +2,8 @@
   <OverlayGroup name = "spectatorhud" scale = "1, 1">
     <OverlayText
-     name     = "starttext"
+     name     = "state"
      position = "0.5, 0.85"
      font     = "VeraMono"
-     caption  = "Press [Fire] to start the match!"
+     caption  = "Press [Fire] to start the match"
      textSize = 0.05
      colour   = "1.0, 1.0, 0.0, 0.8"
Index: data/media/levels/sample2.oxw
===================================================================
--- data/media/levels/sample2.oxw	(revision 5240)
+++ data/media/levels/sample2.oxw	(revision 5241)
@@ -1,4 +1,8 @@
 <?lua
   include("../../media/levels/hudtemplates.oxw")
+?>
+
+<?lua
+  include("../../media/levels/spaceshiptemplates.oxw")
 ?>
 
@@ -11,7 +15,7 @@
    skybox       = "Orxonox/Starbox"
   >
-    <SpawnPoint position="0,0,100" spawnclass=Spectator />
-    <SpawnPoint position="0,0,-700" yaw=180 spawnclass=Spectator />
-    <SpawnPoint position="0,300,-300" pitch=-90 spawnclass=Spectator />
+    <SpawnPoint position="0,   0,  100"           spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <SpawnPoint position="0,   0, -700" yaw  =180 spawnclass=SpaceShip pawndesign=spaceshippirate />
+    <SpawnPoint position="0, 300, -300" pitch=-90 spawnclass=SpaceShip pawndesign=spaceshipspacecruiser />
 
     <MovableEntity position="0,0,-300" velocity="0,0,0" rotationaxis="0,1,0" rotationrate=90>
@@ -48,15 +52,10 @@
     <Model position="-200,0,0" scale=10 mesh="ast6.mesh" shadow=false />
 
-    <Model position="0,0,-100" pitch=-90 roll=-90 scale=7 mesh="assff.mesh" />
+    <Model position="1000,-200,0" scale3D="1,100,100" mesh="ast1.mesh" />
 
-    <Model position="1000,-200,0" scale3D="1,100,100" mesh="ast1.mesh" />
-  </Scene>
+    <Model position="0, 0,-100" pitch=-90 roll=-90 scale=4 mesh="assff.mesh" />
+    <Model position="0,100,-100" pitch=-90 roll=-90 scale=4 mesh="pirate.mesh" />
+    <Model position="0,300,-100" pitch=-90 roll=-90 scale=4 mesh="spacecruiser.mesh" />
 
-  <Scene
-   ambientlight = "1.0, 0.0, 0.0"
-   skybox       = "Orxonox/StarSkyBox"
-  >
-    <SpawnPoint position="0,0,100" spawnclass=Spectator />
-    <Model position="0,0,-100" pitch=-90 roll=-90 scale=7 mesh="assff.mesh" />
   </Scene>
 </Level>
Index: data/media/levels/spaceshiptemplates.oxw
===================================================================
--- data/media/levels/spaceshiptemplates.oxw	(revision 5241)
+++ data/media/levels/spaceshiptemplates.oxw	(revision 5241)
@@ -0,0 +1,56 @@
+<Template name=spaceshipassff>
+  <SpaceShip
+   health            = 100
+   maxhealth         = 200
+   initialhealth     = 100
+
+   maxspeed          = 250
+   maxsecondaryspeed = 50
+   maxrotation       = 100
+   transacc          = 200
+   rotacc            = 140
+   transdamp         = 75
+  >
+    <attached>
+      <Model position="0,-10,-40" yaw=90 pitch=-90 roll=0 scale=4 mesh="assff.mesh" />
+    </attached>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshippirate>
+  <SpaceShip
+   health            = 100
+   maxhealth         = 200
+   initialhealth     = 100
+
+   maxspeed          = 250
+   maxsecondaryspeed = 50
+   maxrotation       = 100
+   transacc          = 200
+   rotacc            = 140
+   transdamp         = 75
+  >
+    <attached>
+      <Model position="0,-10,-45" yaw=90 pitch=-90 roll=0 scale=4 mesh="pirate.mesh" />
+    </attached>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipspacecruiser>
+  <SpaceShip
+   health            = 100
+   maxhealth         = 200
+   initialhealth     = 100
+
+   maxspeed          = 250
+   maxsecondaryspeed = 50
+   maxrotation       = 100
+   transacc          = 200
+   rotacc            = 140
+   transdamp         = 75
+  >
+    <attached>
+      <Model position="8,-30,-120" yaw=90 pitch=-90 roll=0 scale=4 mesh="spacecruiser.mesh" />
+    </attached>
+  </SpaceShip>
+</Template>