Index: data/media/levels/sample3.oxw
===================================================================
--- data/media/levels/sample3.oxw	(revision 5284)
+++ data/media/levels/sample3.oxw	(revision 5285)
@@ -35,10 +35,10 @@
                 <Model position="0,35,0" scale=2 mesh="ast1.mesh">
                   <attached>
-                    <Backlight position="0, 0, 0" colour="0.0, 1.0, 0.0, 1.0" width=1 length=100 lifetime=0.5 elements=50 trailmaterial="Trail/backlighttrail" />
+                    <Backlight position="0, 0, 0" colour="0.0, 1.0, 0.0, 1.0" width=1 length=100 lifetime=0.5 elements=50 trailmaterial="Trail/backlighttrail" material="Examples/Flare" />
                   </attached>
                 </Model>
                 <Model position="0,-35,0" scale=2 mesh="ast1.mesh">
                   <attached>
-                    <Backlight position="0, 0, 0" colour="1.0, 0.0, 1.0, 1.0" width=1 length=100 lifetime=0.5 elements=50 trailmaterial="Trail/backlighttrail" />
+                    <Backlight position="0, 0, 0" colour="1.0, 0.0, 1.0, 1.0" width=1 length=100 lifetime=0.5 elements=50 trailmaterial="Trail/backlighttrail" material="Examples/Flare" />
                   </attached>
                 </Model>
@@ -46,5 +46,5 @@
                   <attached>
                     <ParticleEmitter position="0,0,0" source="Orxonox/fire3" />
-                    <Backlight position="0, 0, 0" colour="0.0, 0.0, 1.0, 1.0" width=1 length=100 lifetime=0.5 elements=50 trailmaterial="Trail/backlighttrail" />
+                    <Backlight position="0, 0, 0" colour="0.0, 0.0, 1.0, 1.0" width=1 length=100 lifetime=0.5 elements=50 trailmaterial="Trail/backlighttrail" material="Examples/Flare" />
                   </attached>
                 </Model>
@@ -52,5 +52,5 @@
                   <attached>
                     <ParticleEmitter position="0,0,0" source="Orxonox/fire3" />
-                    <Backlight position="0, 0, 0" colour="1.0, 0.0, 0.0, 1.0" width=1 length=100 lifetime=0.5 elements=50 trailmaterial="Trail/backlighttrail" />
+                    <Backlight position="0, 0, 0" colour="1.0, 0.0, 0.0, 1.0" width=1 length=100 lifetime=0.5 elements=50 trailmaterial="Trail/backlighttrail" material="Examples/Flare" />
                   </attached>
                 </Model>
@@ -130,5 +130,5 @@
     </EventDispatcher>
 
-
+<!--
     <EventDispatcher>
       <targets>
@@ -141,5 +141,5 @@
       </events>
     </EventDispatcher>
-
+-->
 
     <Model position="0,50,0" scale=3 mesh="assff.mesh">
Index: data/media/levels/spaceshiptemplates3.oxw
===================================================================
--- data/media/levels/spaceshiptemplates3.oxw	(revision 5284)
+++ data/media/levels/spaceshiptemplates3.oxw	(revision 5285)
@@ -2,4 +2,5 @@
   <SpaceShip
    camerapositiontemplate = spaceshipassffcameras
+   engine                 = spaceshipassffengine
 
    health            = 100
@@ -7,10 +8,7 @@
    initialhealth     = 100
 
-   maxspeed          = 150
-   maxsecondaryspeed = 50
    maxrotation       = 100
-   transacc          = 100
    rotacc            = 140
-   transdamp         = 75
+   transdamp         = 50
   >
     <attached>
@@ -20,6 +18,4 @@
       <BlinkingBillboard position="-17,-1.5,0" material="Examples/Flare" colour="0.5, 1.0, 0.3" amplitude=0.1 frequency=0.5 phase=180 quadratic=1 />
       <!--ParticleEmitter position="0,0,-100" source="Orxonox/smoke5" /-->
-      <Backlight scale=0.4 name=bltest position="7.6, 0, 6" colour="0.2, 0.65, 1.0, 1.0" width=15 length=1000 lifetime=3 elements=30 trailmaterial="Trail/backlighttrail" turnofftime=2 material="Flares/ThrusterFlare1" />
-      <Backlight scale=0.4 name=bltest position="-7.6, 0, 6" colour="0.2, 0.65, 1.0, 1.0" width=15 length=1000 lifetime=3 elements=30 trailmaterial="Trail/backlighttrail" turnofftime=2 material="Flares/ThrusterFlare1" />
     </attached>
   </SpaceShip>
@@ -37,4 +33,39 @@
     </camerapositions>
   </SpaceShip>
+</Template>
+
+<Template name=spaceshipassffengine baseclass=MultiStateEngine>
+  <MultiStateEngine
+   boostfactor    = 2
+
+   speedfront     = 150
+   speedback      =  50
+   speedleftright =  50
+   speedupdown    =  50
+
+   accelerationfront     = 100
+   accelerationbrake     = 100
+   accelerationback      =  25
+   accelerationleftright =  25
+   accelerationupdown    =  25
+  >
+    <active>
+      <FadingBillboard mainstate=activity active=false scale=0.1 position="0, 0, 9" colour="0.2, 0.65, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+    </active>
+    <forward>
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 7.6, 0, 6" colour="0.2, 0.65, 1.0, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-7.6, 0, 6" colour="0.2, 0.65, 1.0, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+    </forward>
+    <boost>
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 7.6, 0, 6" colour="0.8, 0.95, 1.0, 1.0" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-7.6, 0, 6" colour="0.8, 0.95, 1.0, 1.0" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+    </boost>
+    <brake>
+      <FadingBillboard mainstate=activity active=false scale=0.3 position=" 8, 0, 6" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.3 position="-8, 0, 6" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position=" 8, 0, 6" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position="-8, 0, 6" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+    </brake>
+  </MultiStateEngine>
 </Template>
 